<template>
    <v-container>
        <v-row align="center" align-content="center" justify="center">
            <v-col cols="8">
                <v-card>
                    <v-card-title>تکمیل اطلاعات</v-card-title>
                    <v-card-text>
                        <v-form v-model="formIsValid" class="mr-5 ml-5">
                            <v-text-field
                                    label="نام"
                                    v-model="first_name"
                                    required
                                    :rules="[v=>!!v||'نام خود را وارد کنید']"
                            ></v-text-field>
                            <v-text-field
                                    v-model="last_name"
                                    label="نام خانوادگی"
                                    required
                                    :rules="[v=>!!v||'نام خانوادگی خود را وارد کنید']"
                            ></v-text-field>
                            <v-select
                                    v-model="selectedType"
                                    item-text="name"
                                    item-value="id"
                                    :items="userTypes"
                                    label="نقش"
                            ></v-select>
                        </v-form>
                    </v-card-text>
                    <v-card-actions>
                        <v-btn color="primary" :disabled="!formIsValid" @click="signup">
                            ثبت
                        </v-btn>
                    </v-card-actions>
                </v-card>
            </v-col>
        </v-row>
    </v-container>
</template>

<script>
    export default {
        name: "Signup",
        props: [
            'id'
        ],
        data() {
            return {
                formIsValid: false,
                first_name: null,
                last_name: null,
                userTypes: [
                    {
                        "id": 1,
                        "name": "بازیکن",
                        "code_name": "coach_code"
                    },
                    {
                        "id": 2,
                        "name": "مربی",
                        "code_name": "player_code"
                    }
                ],
                selectedType: null
            }
        },
        created() {
            this.fetchTypes();
        },
        methods: {
            fetchTypes() {
                this.$axios.get(process.env.VUE_APP_BACKEND_URL + "/api/auth/types")
                    .then(response => {
                        this.userTypes = response.data;
                    })
            },
            signup() {
                this.$axios.post(
                    process.env.VUE_APP_BACKEND_URL + "/api/auth/signup/",
                    {
                        first_name: this.first_name,
                        last_name: this.last_name,
                        type_user: this.selectedType
                    }
                ).then(() => {
                    this.$router.push({name: "ProfileGeneral", params: {id: this.id}})
                })
            }
        }
    }
</script>

<style scoped>

</style>
